> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vitau.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product



## OpenAPI

````yaml GET /api/products/{id}/
openapi: 3.0.0
info:
  title: Vitau API
  x-logo:
    url: https://vitau-logos.s3.us-west-1.amazonaws.com/profile-logo.png
    backgroundColor: '#FFFFFF'
  version: v2
servers:
  - url: https://api-v2.vitau.mx/
security:
  - APIKeyAuth: []
  - JWTAuth: []
  - CookieAuth: []
paths:
  /api/products/{id}/:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - api
      operationId: api_products_read
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductRead'
components:
  schemas:
    ProductRead:
      required:
        - current_supplier
        - supplier_products
        - album
        - product_variants
        - base
        - price
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        current_supplier:
          $ref: '#/components/schemas/SupplierRead'
        cost:
          title: Cost
          type: string
          readOnly: true
        presentation:
          title: Presentation
          type: string
          readOnly: true
        supplier_products:
          type: array
          items:
            $ref: '#/components/schemas/SupplierProductRead'
        album:
          $ref: '#/components/schemas/ImageAlbum'
        product_variants:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariantRead'
        base:
          $ref: '#/components/schemas/BaseProductReadSerializerWithoutProducts'
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        price:
          title: Price
          type: string
          format: decimal
        has_iva:
          title: Has iva
          type: boolean
        public_price:
          title: Public price
          type: string
          format: decimal
          nullable: true
        average_cost:
          title: Average cost
          type: string
          format: decimal
        is_active:
          title: Is active
          type: boolean
        sat_key:
          title: Sat key
          type: string
          maxLength: 50
          nullable: true
        sat_unit:
          title: Sat unit
          type: string
          maxLength: 100
          nullable: true
        has_shortage:
          title: Has shortage
          type: boolean
        ean_key:
          title: Ean field
          type: string
          maxLength: 50
          nullable: true
        should_calculate_price:
          title: Calculate price
          type: boolean
        enlace_vital_description:
          title: Description for enlace vital discount
          type: string
          maxLength: 10
        active_ingredient:
          title: Active ingredient
          type: string
          maxLength: 250
          nullable: true
        description:
          title: Description
          type: string
          nullable: true
        group_number:
          title: Group number
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        image:
          title: Image
          type: string
          readOnly: true
          format: uri
          nullable: true
        is_generic:
          title: Is generic
          type: boolean
          nullable: true
        name:
          title: Nombre
          type: string
          maxLength: 250
          nullable: true
        category:
          title: Product's category
          type: integer
          nullable: true
        medical_information:
          title: Product's medical information
          type: integer
          nullable: true
        pharmaceutical_company:
          title: Product's pharmaceutical company
          type: integer
          nullable: true
        variants:
          type: array
          items:
            type: integer
          readOnly: true
          uniqueItems: true
        diseases:
          type: array
          items:
            type: integer
          uniqueItems: true
    SupplierRead:
      required:
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 100
          minLength: 1
    SupplierProductRead:
      required:
        - supplier
        - cost
        - product
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        supplier:
          $ref: '#/components/schemas/SupplierRead'
        cost:
          title: Cost
          type: string
          format: decimal
        product:
          title: Product
          type: integer
    ImageAlbum:
      required:
        - images
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        images:
          type: array
          items:
            $ref: '#/components/schemas/Image'
    ProductVariantRead:
      required:
        - variant
        - value
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        variant:
          $ref: '#/components/schemas/Variant'
        value:
          title: Value
          type: string
          maxLength: 50
          minLength: 1
    BaseProductReadSerializerWithoutProducts:
      required:
        - category
        - pharmaceutical_company
        - diseases
        - tags
        - medical_information
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        category:
          $ref: '#/components/schemas/Category'
        pharmaceutical_company:
          $ref: '#/components/schemas/PharmaceuticalCompany'
        diseases:
          type: array
          items:
            $ref: '#/components/schemas/Disease'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        medical_information:
          $ref: '#/components/schemas/MedicalInformation'
        is_medicine:
          title: Is medicine
          type: string
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 250
          minLength: 1
        description:
          title: Description
          type: string
        created_by:
          title: User that created product
          type: integer
          nullable: true
        updated_by:
          title: Last user to update product
          type: integer
          nullable: true
    Image:
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        album:
          title: Album
          type: integer
        image:
          title: Image
          type: string
          readOnly: true
          format: uri
        is_default:
          title: Is default
          type: boolean
    Variant:
      required:
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 100
          minLength: 1
    Category:
      required:
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 100
          minLength: 1
        parent:
          title: Category's parent
          type: integer
          nullable: true
    PharmaceuticalCompany:
      required:
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 100
          minLength: 1
    Disease:
      required:
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 250
          minLength: 1
    Tag:
      required:
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 250
          minLength: 1
    MedicalInformation:
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        active_ingredient:
          title: Active ingredient
          type: string
          maxLength: 250
        is_generic:
          title: Is generic
          type: boolean
        group_number:
          title: Group number
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        requires_prescription:
          title: Requires prescription
          type: boolean
        base_product:
          title: Medical information for base product
          type: integer
          readOnly: true
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    JWTAuth:
      type: apiKey
      in: header
      name: Bearer
    CookieAuth:
      type: apiKey
      in: header
      name: sessionid

````